#include <iostream>
using namespace std;

int main()
{
    int x, y;
    cin >> x >> y;
    int cifra = 1;
    int broj = 0;
    while(x>0 || y>0)
    {
        if(x>0 && y>0){
            if(x%10 > y%10){
                broj += cifra*(x%10);
            }
            else if(y%10 > x%10){
                broj += cifra*(y%10);
            }
            else if(x%10 == y%10){
                broj = broj + cifra*(x%10) + (cifra*10)*(x%10);
                cifra*=10;
            }
        }
        else{
            if(x>0){
                broj += cifra*(x%10);
            }
            else{
                broj += cifra*(y%10);
            }
        }
        cifra*=10;
        x/=10;
        y/=10;
    }
    cout << broj << endl;
    return 0;
}